Bug 66275 - Installer doesn't detect default video card in system with two or more cards
Installer doesn't detect default video card in system with two or more cards
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-07 00:31 EDT by Mike Chambers
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-25 11:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Chambers 2002-06-07 00:31:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
When the installer tries to use GUI and detect the video card, it reverts to 
text mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot up with CD
2.Hit enter key upon cd detection/install
3.Wait for video card to be detected to go to GUI install
	

Actual Results:  The installer detects my I810 motherboard w/onboard video, 
but it doesn't detect the PCI video card, voodoo3, which is the default card, 
and set in BIOS.

Expected Results:  The installer should detect the default video card and 
monitor, even if it's PCI and there is an onboard video with no monitor 
connected.

Additional info:

The BIOS is set with the PCI video card as default and the monitor is 
connected.
Comment 1 Michael Fulbright 2002-06-07 14:29:51 EDT
This is a known issue we are not addressing this release.
Comment 2 Michael Fulbright 2003-03-04 16:24:02 EST
This is only important in that rhpl gives us the primary card in use so we can
write out a XF86Config that will work.

First-boot will handle X configuration.
Comment 3 Mike Chambers 2003-04-02 22:28:59 EST
Closing bug as this is detected during firstboot instead of during install.  So
therefore, doesnt' really matter what Anaconda finds, correct?
Comment 4 Mike A. Harris 2003-04-02 23:06:09 EST
I'm not sure exactly how any of our config tools handle systems with multiple
video cards.  In the abscense of multihead configuration, what should occur
IMHO, is the config tool should autodetect all video hardware, and either
configure the one card which is identified as "primary" or it should pop
up a list of non-configured video hardware and let the user choose what
card will be configured.

I think both options should be available, as there are some systems out there
that even when the video card is disabled via jumper, or via CMOS, it still
shows up at runtime.  Other systems have the ability to set the primary card,
but for one reason or another it doesn't actually work.  No idea how
common the problem systems are, but then we're only likely to hear about
the problem ones, so it's impossible to tell.  ;o)

I'm not sure what component this fits best under, but probably
redhat-config-xfree86.
Comment 5 Brent Fox 2003-04-25 11:52:39 EDT
I made some changes in rhpl to handle the multiple video card case.  It worked
fine on Tammy's Dell Dimension 4500S, which has an onboard i180 and an add-on
Radeon 7500.  So, I believe that this behavior is fixed for RHL 9.  Please
reopen if you are still having problems with RHL 9.

Note You need to log in before you can comment on or make changes to this bug.